## mame 0.149

=== debian/changelog ===
mame (0.149-0ubuntu1) saucy; urgency=low

  * New upstream release
  * debian/control: updated deps according to new debugger based on QT
  * debian/patches:
    + updated gnu fixes
    + removed check for gcc 4.6 fix, accepted upstream
    + reworked manpages after forwarding previous patch upstream
  * debian/rules: removed erase-upstream target
  * mess-data: updated keymap files location

 -- Cesare Falco <c.falco@ubuntu.com>  Wed, 12 Jun 2013 09:54:12 +0200

mame (0.148-1) experimental; urgency=low

  [ Cesare Falco ]
  * New upstream release
  * debian/patches:
    + Reworked updates to man pages, removed those previously accepted upstream
    + Fix check for gcc 4.6 in makefile
  * debian/watch
    + Download mamexxxs.exe, smaller than mamexxxs.zip
  * debian/rules:
    + Unset BUILD_MIDILIB flag to allow linking system Portmidi library
    + Removed trailing CR stripping, not needed any more by gcc/g++/patch
    + Reworked get-orig-source for main mame tarball
  * Removed mess-related man pages, accepted upstream
  * Split mame-extra stuff into a separate source package
  * Rearranged distribution of documentation in binary packages

  [ Jordi Mallach ]
  * Add get-orig-source to PHONY.
  * Use default compression for the debian tar.

 -- Jordi Mallach <jordi@debian.org>  Thu, 28 Mar 2013 23:51:51 -0500

mame (0.147-2) experimental; urgency=low

  [ Jordi Mallach ]
  * Fix mame-extra's description.
  * Add necessary Breaks/Replaces for the nplayers.ini move to mame-extra.

  [ Emmanuel Kasper ]
  * Removing -mtune=generic build options: optimizing gain is minimal
    and segfault on i386 may occured if we use it

 -- Jordi Mallach <jordi@debian.org>  Tue, 08 Jan 2013 00:40:39 +0100

mame (0.147-1) experimental; urgency=low

  [ Cesare Falco ]
  * New upstream release
  * Updated quilt patches
  * Removed all transitional packages related to xmame and sdlmame
  * Mess source imported in Mame project; packages merged accordingly
  * mame.ini:
    - pointed hash- and ctrlrpath entries to mess-data directories
  * mess.ini:
    - added uimodekey entry (default doesn't work)
  * New mame-extra packages for additional files:
    - nplayers.ini (moved from mame)
    - history.dat (new)
  * debian/copyright:
    - added history file
    - various fixes
  * debian/rules:
    - Removed duplicate NOWERROR make variable in debian/rules
    - Changelogs removed upstream
    - Added targets for Mess and tools
    - get-orig-source:
      + retrieve .exe, significantly smaller than .zip
      + added rules for history file
  * debian/watch: added history file

  [ Jon Dowland ]
  * Remove deprecated dm-upload-allowed from the control file.

  [ Emmanuel Kasper ]
  * Remove Felix and Ludo from Uploaders, following request in private mail.
  * Bump Standards-Version to 3.9.4

  [ Jordi Mallach ]
  * Avoid using xz -9, both for generated tarballs and binaries; gains us
    little and is a big burden for some buidds.

 -- Jordi Mallach <jordi@debian.org>  Mon, 07 Jan 2013 16:35:27 +0100

=== debian/control ===
Source: mame
Section: non-free/games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Cesare Falco <c.falco@ubuntu.com>
Build-Depends: debhelper (>= 8),
 gcc-4.6,
 g++-4.6,
 libexpat1-dev,
 libflac-dev,
 libfontconfig1-dev,
 libjpeg8-dev,
 libportmidi-dev,
 libqt4-dev,
 libsdl-ttf2.0-dev,
 libsdl1.2-dev,
 libxinerama-dev,
 python-dev,
 zlib1g-dev
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/pkg-games/mame.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/mame.git
Homepage: http://mamedev.org/
XS-Autobuild: yes

Package: mame
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 mess-data (= ${source:Version})
Suggests: gnome-video-arcade,
 mame-extra,
 mame-tools
Description: Multiple Arcade Machine Emulator (MAME)
 MAME is a hardware emulator: it faithfully reproduces the behavior of many
 arcade machines (it is not a simulation). This program is not a game but can
 directly, through ROM images, run the complete system of these old arcade
 machines. These ROMs are subject to copyright and it is in most of the cases
 illegal to use them if you do not own the arcade machine.
 .
 This package provides the MAME binary and configuration files.

Package: mame-tools
Section: non-free/utils
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends}
Recommends: mame (= ${source:Version})
Description: Tools for MAME and MESS
 MAME is a hardware emulator: it faithfully reproduces the behavior of many
 arcade machines (it is not a simulation).
 MESS is an emulator for various consoles and computing systems, sharing a
 lot of codebase with the MAME project.
 .
 This package provides tools to be used with MAME and MESS. It currently
 contains:
  castool -- generic cassette manipulation tool for MESS
  chdman -- MAME Compressed Hunks of Data CHD manager
  imgtool -- generic image manipulation tool for MESS
  jedutil -- binary to/from JEDEC file converter
  ldresample -- Laserdisc audio synchronizer and resampler
  ldverify -- Laserdisc AVI/CHD verifier
  romcmp -- ROM comparison utility program
  testkeys -- keyboard code viewer

Package: mess
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 mess-data (= ${source:Version})
Suggests: mame-tools,
 mess-desktop-entries
Description: Multi Emulator Super System (MESS)
 MESS is an emulator for various consoles and computing systems, sharing a
 lot of codebase with the MAME project.
 .
 Some of the well known consoles and computers emulated are the Atari 2600,
 Lynx, NES, SNES, Nintendo 64, GameBoy, Sega Master System, Sega Megadrive,
 Game Gear, Colecovision, Vectrex, Apple II, Atari 400/800, Commodore 64/128,
 IBM PC XT and AT (MDA and CGA), ZX80, ZX Spectrum, TI99/4, TRS-80, and the
 MSX.
 .
 This package provides the MESS binary and configuration files.

Package: mess-data
Architecture: all
Depends: ${misc:Depends}
Description: Data files for the Multi Emulator Super System (MESS)
 MESS is an emulator for various consoles and computing systems, sharing a
 lot of codebase with the MAME project.
 .
 This package provides the MESS and MAME hash files, keymaps and artwork.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
# Default/i386/amd64 options from sdlmame rules file by Cesare Falco.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

# taken verbatim from debian policy
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
MAKEFLAGS += -j$(NUMJOBS)
endif

# Override relevant make variables in original makefile
DEB_OPTS = \
    OSD=sdl \
    CROSS_BUILD_OSD= \
    NOASM=1 \
    PREFIX= \
    SUFFIX= \
    DEBUG= \
    PROFILER= \
    NOWERROR=1 \
    MACOSX_USE_LIBSDL= \
    BUILD_EXPAT= \
    BUILD_ZLIB= \
    BUILD_JPEGLIB= \
    BUILD_MIDILIB= \
    BUILD_FLAC= \
    SYMBOLS= \
    SYMLEVEL= \
    DUMPSYM= \
    PROFILE= \
    MAP= \
    VERBOSE= \
    OPTIMIZE= \
    LDFLAGS="-Wl,--as-needed" \
    LDFLAGSEMULATOR="-Wl,--as-needed"

# Override make variables for specific archs
# Linux architectures
ifeq ($(DEB_HOST_ARCH),amd64)
DEB_OPTS += \
    FORCE_DRC_C_BACKEND= \
    PTR64=1 \
    NOASM= \
    BIGENDIAN=
endif

ifeq ($(DEB_HOST_ARCH),i386)
DEB_OPTS += \
    FORCE_DRC_C_BACKEND= \
    PTR64= \
    NOASM= \
    BIGENDIAN=
endif

ifeq ($(DEB_HOST_ARCH),ia64)
DEB_OPTS += \
    FORCE_DRC_C_BACKEND=1 \
    PTR64=1 \
    NOASM=1 \
    BIGENDIAN=
endif

ifeq ($(DEB_HOST_ARCH),mips)
DEB_OPTS += \
    ARCHOPTS=-Umips \
    FORCE_DRC_C_BACKEND=1 \
    BIGENDIAN=1
endif

ifeq ($(DEB_HOST_ARCH),mipsel)
DEB_OPTS += \
    ARCHOPTS=-Umips \
    FORCE_DRC_C_BACKEND=1
endif

ifeq ($(DEB_HOST_ARCH),powerpc)
DEB_OPTS += \
    ARCHOPTS=-Upowerpc \
    FORCE_DRC_C_BACKEND=1 \
    NOASM= \
    BIGENDIAN=1
endif

ifeq ($(DEB_HOST_ARCH),s390)
DEB_OPTS += \
    FORCE_DRC_C_BACKEND=1 \
    BIGENDIAN=1
endif

ifeq ($(DEB_HOST_ARCH),s390x)
DEB_OPTS += \
    FORCE_DRC_C_BACKEND=1 \
    PTR64=1 \
    BIGENDIAN=1
endif

ifeq ($(DEB_HOST_ARCH),sparc)
DEB_OPTS += \
    FORCE_DRC_C_BACKEND=1 \
    BIGENDIAN=1
endif

# kFreeBSD architectures
ifeq ($(DEB_HOST_ARCH),kfreebsd-amd64)
DEB_OPTS += \
    TARGETOS=freebsd \
    PTR64=1 \
    FORCE_DRC_C_BACKEND= \
    NOASM= \
    BIGENDIAN=
endif

ifeq ($(DEB_HOST_ARCH),kfreebsd-i386)
DEB_OPTS += \
    TARGETOS=freebsd \
    FORCE_DRC_C_BACKEND= \
    PTR64= \
    NOASM= \
    BIGENDIAN=
endif

DEB_MAME_OPTS = \
    OPT_FLAGS="-D'INI_PATH=\"/etc/mame\"'" \
    FULLNAME=mame \
    TARGET=mame \
    SUBTARGET=mame

DEB_MESS_OPTS = \
    OPT_FLAGS="-D'INI_PATH=\"/etc/mess\"'" \
    FULLNAME=mess \
    TARGET=mess \
    SUBTARGET=mess

%:
	dh $@

override_dh_auto_build:
	$(MAKE) $(DEB_MAME_OPTS) $(DEB_OPTS)
	$(CURDIR)/mame -createconfig
	mv mame.ini default.mame.ini
# Force rebuild to allow Mess specific value for INI_PATH
	find obj -type f \
             -not -name \*.lh -and -not -name drivlist.c \
             -exec rm {} \;
	$(MAKE) $(DEB_MESS_OPTS) $(DEB_OPTS) all
	$(CURDIR)/mess -createconfig
	mv mess.ini default.mess.ini

override_dh_auto_clean:
	$(MAKE) $(DEB_MAME_OPTS) $(DEB_OPTS) clean
	$(MAKE) $(DEB_MESS_OPTS) $(DEB_OPTS) clean
	rm -rf obj
	rm -f default.mame.ini default.mess.ini

# Remove OSX specific keymaps
override_dh_install:
	dh_install --exclude=OSX.txt


# Convert upstream sources from zip to tar.xz
VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p')

AGENT = Debian MAME Packagers <mame@packages.debian.org>
TMPDIR := $(shell mktemp --dry-run --directory -p .)

MAME_PACKAGE = mame
# Upstream source has no dot in its name, so we have to cut it out
MAME_VERSION := $(shell echo $(VERSION) | sed -e 's/\.//' )
MAME_URL = http://mamedev.org/downloader.php?file=releases/
MAME_SRCFILE = $(MAME_PACKAGE)$(MAME_VERSION)s.exe
MAME_TARBALL = $(MAME_PACKAGE)_$(VERSION).orig.tar.xz

$(MAME_SRCFILE):
	wget -U '$(AGENT)' $(MAME_URL)$(MAME_SRCFILE) -O $(MAME_SRCFILE)

$(MAME_TARBALL): $(MAME_SRCFILE)
	mkdir $(TMPDIR)
	7z x -o$(TMPDIR)/$(MAME_PACKAGE)-$(VERSION) $(MAME_SRCFILE)
	tar -C $(TMPDIR) -acvf $(MAME_TARBALL) $(MAME_PACKAGE)-$(VERSION)
	rm -rf $(TMPDIR)
	rm -f $(MAME_SRCFILE)

get-orig-source: $(MAME_TARBALL)

.PHONY: get-orig-source

## mame 0.152

=== debian/changelog ===
mame (0.152-0ubuntu2) trusty; urgency=medium

  * Add build configuration for arm64 and ppc64el.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 19 Mar 2014 11:25:29 +0000

mame (0.152-0ubuntu1) trusty; urgency=low

  * New upstream release 
  * debian/control:
    + Bump debhelper version
    + Remove dep on gcc 4.6 (use distro default)
    + Make dep on QT stricter, 4.7 or more (upstream recommendation)
    + Add dep on subversion, used by get-orig-source
  * debian/rules:
    + get-orig-source: retrieve source from svn (upstream recommendation)

 -- Cesare Falco <c.falco@ubuntu.com>  Tue, 11 Feb 2014 00:05:14 +0100

mame (0.151-1) UNRELEASED; urgency=low

  * New upstream release 
  * debian/patches:
    - removed manpages updates, accepted upstream
    - removed hack to set document root, now read from ini files

 -- Cesare Falco <c.falco@ubuntu.com>  Tue, 05 Nov 2013 22:12:38 +0100

mame (0.150-1) UNRELEASED; urgency=low

  * New upstream release
  * debian/patches:
    + updated gnu fixes
    + updated man pages
    + new: set the internal webserver document root

 -- Cesare Falco <c.falco@ubuntu.com>  Sun, 23 Sep 2013 15:35:55 +0200

mame (0.149-1) UNRELEASED; urgency=low

  * New upstream release
  * debian/control: updated deps according to new debugger based on QT
  * debian/patches:
    + updated gnu fixes
    + removed check for gcc 4.6 fix, accepted upstream
    + reworked manpages after forwarding previous patch upstream
  * debian/rules: removed erase-upstream target
  * mess-data: updated keymap files location

 -- Cesare Falco <c.falco@ubuntu.com>  Wed, 12 Jun 2013 09:54:12 +0200

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,17 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Cesare Falco <c.falco@ubuntu.com>
-Build-Depends: debhelper (>= 8),
- gcc-4.6,
- g++-4.6,
+Build-Depends: debhelper (>= 9),
  libexpat1-dev,
  libflac-dev,
  libfontconfig1-dev,
  libjpeg8-dev,
  libportmidi-dev,
- libqt4-dev,
+ libqt4-dev (>= 4.7),
  libsdl-ttf2.0-dev,
  libsdl1.2-dev,
  libxinerama-dev,
+ subversion,
  python-dev,
  zlib1g-dev
 Standards-Version: 3.9.4

=== debian/rules ===
--- 
+++ 
@@ -55,6 +55,14 @@
     BIGENDIAN=
 endif
 
+ifeq ($(DEB_HOST_ARCH),arm64)
+DEB_OPTS += \
+    FORCE_DRC_C_BACKEND=1 \
+    PTR64=1 \
+    NOASM=1 \
+    BIGENDIAN=
+endif
+
 ifeq ($(DEB_HOST_ARCH),i386)
 DEB_OPTS += \
     FORCE_DRC_C_BACKEND= \
@@ -90,6 +98,14 @@
     FORCE_DRC_C_BACKEND=1 \
     NOASM= \
     BIGENDIAN=1
+endif
+
+ifeq ($(DEB_HOST_ARCH),ppc64el)
+DEB_OPTS += \
+    FORCE_DRC_C_BACKEND=1 \
+    PTR64=1 \
+    NOASM=1 \
+    BIGENDIAN=
 endif
 
 ifeq ($(DEB_HOST_ARCH),s390)
@@ -168,29 +184,26 @@
 	dh_install --exclude=OSX.txt
 
 
-# Convert upstream sources from zip to tar.xz
+# Retrieve source from svn repo (recommended by upstream developers)
 VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p')
-
-AGENT = Debian MAME Packagers <mame@packages.debian.org>
 TMPDIR := $(shell mktemp --dry-run --directory -p .)
 
 MAME_PACKAGE = mame
 # Upstream source has no dot in its name, so we have to cut it out
 MAME_VERSION := $(shell echo $(VERSION) | sed -e 's/\.//' )
-MAME_URL = http://mamedev.org/downloader.php?file=releases/
-MAME_SRCFILE = $(MAME_PACKAGE)$(MAME_VERSION)s.exe
+MAME_URL = svn://dspnet.fr/mame/
+MAME_TAG = tags/$(MAME_PACKAGE)$(MAME_VERSION)
+MAME_SRCDIR = $(MAME_PACKAGE)-$(VERSION)
 MAME_TARBALL = $(MAME_PACKAGE)_$(VERSION).orig.tar.xz
 
-$(MAME_SRCFILE):
-	wget -U '$(AGENT)' $(MAME_URL)$(MAME_SRCFILE) -O $(MAME_SRCFILE)
-
-$(MAME_TARBALL): $(MAME_SRCFILE)
+get-orig-source:
 	mkdir $(TMPDIR)
-	7z x -o$(TMPDIR)/$(MAME_PACKAGE)-$(VERSION) $(MAME_SRCFILE)
-	tar -C $(TMPDIR) -acvf $(MAME_TARBALL) $(MAME_PACKAGE)-$(VERSION)
+	svn export $(MAME_URL)$(MAME_TAG) $(TMPDIR)/$(MAME_SRCDIR)
+	svn export $(MAME_URL)build/whatsnew/whatsnew_$(MAME_VERSION).txt \
+        $(TMPDIR)/$(MAME_SRCDIR)/whatsnew.txt
+	svn export $(MAME_URL)build/messnew/messnew_$(MAME_VERSION).txt \
+        $(TMPDIR)/$(MAME_SRCDIR)/messnew.txt
+	tar -C $(TMPDIR) -cf - $(MAME_SRCDIR) | xz -9c > $(MAME_TARBALL)
 	rm -rf $(TMPDIR)
-	rm -f $(MAME_SRCFILE)
-
-get-orig-source: $(MAME_TARBALL)
 
 .PHONY: get-orig-source

## mame 0.154

=== debian/changelog ===
mame (0.154-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Change dependency to libjpeg-dev. Closes: #765822

 -- Andreas Barth <aba@ayous.org>  Wed, 21 Oct 2014 21:54:14 +0000

mame (0.154-3) unstable; urgency=medium

  * Build embedded libportmidi for kfreebsd and hurd archs
    (libportmidi-dev not available)
  * Removed lintian warnings:
    + Fixed License: headers in debian/copyright:
      - Added some short names
      - Removed unused paragraph CC-BY-3.0
    + Improved hardening:
      - Use dpkg-buildflags in debian/rules
      - Bump to level 9 in debian/compat
  * Make specific build options override general ones

 -- Cesare Falco <c.falco@ubuntu.com>  Wed, 09 Oct 2014 19:42:34 +0200

mame (0.154-2) unstable; urgency=medium

  * debian/rules: Reworked arch specific variables (FTBFS arm64 ppc64el)

 -- Cesare Falco <c.falco@ubuntu.com>  Sat, 30 Aug 2014 10:43:04 +0200

mame (0.154-1) UNRELEASED; urgency=medium

  * New upstream release
  * debian/control:
    + Bump debhelper version
    + Added dep on libsqlite3
  * debian/patches: updated manpages

 -- Cesare Falco <c.falco@ubuntu.com>  Tue, 12 Aug 2014 20:34:04 +0200

mame (0.153-1) UNRELEASED; urgency=low

  * New upstream release
  * mame-tools: added floptool utility
  * debian/patches: updated manpages

 -- Cesare Falco <c.falco@ubuntu.com>  Mon, 14 Apr 2014 22:46:19 +0200

mame (0.152-1) UNRELEASED; urgency=low

  * New upstream release
  * debian/control:
    + Bump debhelper version
    + Remove dep on gcc 4.6 (use distro default)
    + Make dep on QT stricter, 4.7 or more (upstream recommendation)
    + Add dep on subversion, used by get-orig-source
  * debian/rules:
    + get-orig-source: retrieve source from svn (upstream recommendation)

 -- Cesare Falco <c.falco@ubuntu.com>  Tue, 11 Feb 2014 00:05:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,25 @@
 Source: mame
 Section: non-free/games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Cesare Falco <c.falco@ubuntu.com>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders: Cesare Falco <c.falco@ubuntu.com>,
+ Emmanuel Kasper <emmanuel@libera.cc>,
+ Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper (>= 9),
  libexpat1-dev,
  libflac-dev,
  libfontconfig1-dev,
- libjpeg8-dev,
- libportmidi-dev,
+ libjpeg-dev,
+ libportmidi-dev [!hurd-any !kfreebsd-any],
  libqt4-dev (>= 4.7),
  libsdl-ttf2.0-dev,
  libsdl1.2-dev,
+ libsqlite3-dev,
  libxinerama-dev,
  subversion,
  python-dev,
  zlib1g-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/pkg-games/mame.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/mame.git
 Homepage: http://mamedev.org/

=== debian/rules ===
--- 
+++ 
@@ -6,12 +6,12 @@
 # This special exception was added by Craig Small in version 0.37 of dh-make.
 # Default/i386/amd64 options from sdlmame rules file by Cesare Falco.
 
-# Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
-
-CFLAGS = -Wall -g
-
 DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
+# add c++ hardening options (upstream makefile doesn't use CPPFLAGS)
+export DEB_CFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)
 
 # taken verbatim from debian policy
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -23,16 +23,20 @@
 DEB_OPTS = \
     OSD=sdl \
     CROSS_BUILD_OSD= \
+    BIGENDIAN= \
     NOASM=1 \
     PREFIX= \
     SUFFIX= \
     DEBUG= \
+    NO_USE_QTDEBUG=1 \
     PROFILER= \
+    FORCE_DRC_C_BACKEND=1 \
     NOWERROR=1 \
     MACOSX_USE_LIBSDL= \
     BUILD_EXPAT= \
     BUILD_ZLIB= \
     BUILD_JPEGLIB= \
+    BUILD_SQLITE3= \
     BUILD_MIDILIB= \
     BUILD_FLAC= \
     SYMBOLS= \
@@ -41,9 +45,7 @@
     PROFILE= \
     MAP= \
     VERBOSE= \
-    OPTIMIZE= \
-    LDFLAGS="-Wl,--as-needed" \
-    LDFLAGSEMULATOR="-Wl,--as-needed"
+    OPTIMIZE=
 
 # Override make variables for specific archs
 # Linux architectures
@@ -51,79 +53,63 @@
 DEB_OPTS += \
     FORCE_DRC_C_BACKEND= \
     PTR64=1 \
+    NOASM=
+endif
+
+ifeq ($(DEB_HOST_ARCH),arm64)
+DEB_OPTS += \
+    PTR64=1
+endif
+
+ifeq ($(DEB_HOST_ARCH),i386)
+DEB_OPTS += \
+    FORCE_DRC_C_BACKEND= \
+    PTR64= \
+    NOASM=
+endif
+
+ifeq ($(DEB_HOST_ARCH),ia64)
+DEB_OPTS += \
+    PTR64=1
+endif
+
+ifeq ($(DEB_HOST_ARCH),mips)
+DEB_OPTS += \
+    ARCHOPTS=-Umips \
+    BIGENDIAN=1
+endif
+
+ifeq ($(DEB_HOST_ARCH),mipsel)
+DEB_OPTS += \
+    ARCHOPTS=-Umips
+endif
+
+ifeq ($(DEB_HOST_ARCH),powerpc)
+DEB_OPTS += \
+    ARCHOPTS=-Upowerpc \
     NOASM= \
-    BIGENDIAN=
-endif
-
-ifeq ($(DEB_HOST_ARCH),arm64)
-DEB_OPTS += \
-    FORCE_DRC_C_BACKEND=1 \
-    PTR64=1 \
-    NOASM=1 \
-    BIGENDIAN=
-endif
-
-ifeq ($(DEB_HOST_ARCH),i386)
-DEB_OPTS += \
-    FORCE_DRC_C_BACKEND= \
-    PTR64= \
-    NOASM= \
-    BIGENDIAN=
-endif
-
-ifeq ($(DEB_HOST_ARCH),ia64)
-DEB_OPTS += \
-    FORCE_DRC_C_BACKEND=1 \
-    PTR64=1 \
-    NOASM=1 \
-    BIGENDIAN=
-endif
-
-ifeq ($(DEB_HOST_ARCH),mips)
-DEB_OPTS += \
-    ARCHOPTS=-Umips \
-    FORCE_DRC_C_BACKEND=1 \
-    BIGENDIAN=1
-endif
-
-ifeq ($(DEB_HOST_ARCH),mipsel)
-DEB_OPTS += \
-    ARCHOPTS=-Umips \
-    FORCE_DRC_C_BACKEND=1
-endif
-
-ifeq ($(DEB_HOST_ARCH),powerpc)
-DEB_OPTS += \
-    ARCHOPTS=-Upowerpc \
-    FORCE_DRC_C_BACKEND=1 \
-    NOASM= \
     BIGENDIAN=1
 endif
 
 ifeq ($(DEB_HOST_ARCH),ppc64el)
 DEB_OPTS += \
-    FORCE_DRC_C_BACKEND=1 \
-    PTR64=1 \
-    NOASM=1 \
-    BIGENDIAN=
+    PTR64=1 \
+    NOASM=
 endif
 
 ifeq ($(DEB_HOST_ARCH),s390)
 DEB_OPTS += \
-    FORCE_DRC_C_BACKEND=1 \
     BIGENDIAN=1
 endif
 
 ifeq ($(DEB_HOST_ARCH),s390x)
 DEB_OPTS += \
-    FORCE_DRC_C_BACKEND=1 \
     PTR64=1 \
     BIGENDIAN=1
 endif
 
 ifeq ($(DEB_HOST_ARCH),sparc)
 DEB_OPTS += \
-    FORCE_DRC_C_BACKEND=1 \
     BIGENDIAN=1
 endif
 
@@ -131,19 +117,25 @@
 ifeq ($(DEB_HOST_ARCH),kfreebsd-amd64)
 DEB_OPTS += \
     TARGETOS=freebsd \
-    PTR64=1 \
-    FORCE_DRC_C_BACKEND= \
-    NOASM= \
-    BIGENDIAN=
+    BUILD_MIDILIB=1 \
+    FORCE_DRC_C_BACKEND= \
+    PTR64=1 \
+    NOASM=
 endif
 
 ifeq ($(DEB_HOST_ARCH),kfreebsd-i386)
 DEB_OPTS += \
     TARGETOS=freebsd \
+    BUILD_MIDILIB=1 \
     FORCE_DRC_C_BACKEND= \
     PTR64= \
-    NOASM= \
-    BIGENDIAN=
+    NOASM=
+endif
+
+# kFreeBSD architecture
+ifeq ($(DEB_HOST_ARCH),hurd-i386)
+DEB_OPTS += \
+    BUILD_MIDILIB=1
 endif
 
 DEB_MAME_OPTS = \
@@ -162,20 +154,20 @@
 	dh $@
 
 override_dh_auto_build:
-	$(MAKE) $(DEB_MAME_OPTS) $(DEB_OPTS)
+	$(MAKE) $(DEB_OPTS) $(DEB_MAME_OPTS)
 	$(CURDIR)/mame -createconfig
 	mv mame.ini default.mame.ini
 # Force rebuild to allow Mess specific value for INI_PATH
 	find obj -type f \
              -not -name \*.lh -and -not -name drivlist.c \
              -exec rm {} \;
-	$(MAKE) $(DEB_MESS_OPTS) $(DEB_OPTS) all
+	$(MAKE) $(DEB_OPTS) $(DEB_MESS_OPTS) all
 	$(CURDIR)/mess -createconfig
 	mv mess.ini default.mess.ini
 
 override_dh_auto_clean:
-	$(MAKE) $(DEB_MAME_OPTS) $(DEB_OPTS) clean
-	$(MAKE) $(DEB_MESS_OPTS) $(DEB_OPTS) clean
+	-$(MAKE) $(DEB_MAME_OPTS) $(DEB_OPTS) clean
+	-$(MAKE) $(DEB_MESS_OPTS) $(DEB_OPTS) clean
 	rm -rf obj
 	rm -f default.mame.ini default.mess.ini

## mame 0.160

=== 3rdparty/jsoncpp/SConstruct ===
"""
Notes: 
- shared library support is buggy: it assumes that a static and dynamic library can be build from the same object files. This is not true on many platforms. For this reason it is only enabled on linux-gcc at the current time.

To add a platform:
- add its name in options allowed_values below
- add tool initialization for this platform. Search for "if platform == 'suncc'" as an example.
"""

import os
import os.path
import sys

JSONCPP_VERSION = open(File('#version').abspath,'rt').read().strip()
DIST_DIR = '#dist'

options = Variables()
options.Add( EnumVariable('platform',
                        'Platform (compiler/stl) used to build the project',
                        'msvc71',
                        allowed_values='suncc vacpp mingw msvc6 msvc7 msvc71 msvc80 msvc90 linux-gcc'.split(),
                        ignorecase=2) )

try:
    platform = ARGUMENTS['platform']
    if platform == 'linux-gcc':
        CXX = 'g++' # not quite right, but env is not yet available.
        import commands
        version = commands.getoutput('%s -dumpversion' %CXX)
        platform = 'linux-gcc-%s' %version
        print "Using platform '%s'" %platform
        LD_LIBRARY_PATH = os.environ.get('LD_LIBRARY_PATH', '')
        LD_LIBRARY_PATH = "%s:libs/%s" %(LD_LIBRARY_PATH, platform)
        os.environ['LD_LIBRARY_PATH'] = LD_LIBRARY_PATH
        print "LD_LIBRARY_PATH =", LD_LIBRARY_PATH
except KeyError:
    print 'You must specify a "platform"'
    sys.exit(2)

print "Building using PLATFORM =", platform

rootbuild_dir = Dir('#buildscons')
build_dir = os.path.join( '#buildscons', platform )
bin_dir = os.path.join( '#bin', platform )
lib_dir = os.path.join( '#libs', platform )
sconsign_dir_path = Dir(build_dir).abspath
sconsign_path = os.path.join( sconsign_dir_path, '.sconsign.dbm' )

# Ensure build directory exist (SConsignFile fail otherwise!)
if not os.path.exists( sconsign_dir_path ):
    os.makedirs( sconsign_dir_path )

# Store all dependencies signature in a database
SConsignFile( sconsign_path )

def make_environ_vars():
	"""Returns a dictionnary with environment variable to use when compiling."""
	# PATH is required to find the compiler
	# TEMP is required for at least mingw
    # LD_LIBRARY_PATH & co is required on some system for the compiler
	vars = {}
	for name in ('PATH', 'TEMP', 'TMP', 'LD_LIBRARY_PATH', 'LIBRARY_PATH'):
		if name in os.environ:
			vars[name] = os.environ[name]
	return vars
	

env = Environment( ENV = make_environ_vars(),
                   toolpath = ['scons-tools'],
                   tools=[] ) #, tools=['default'] )

if platform == 'suncc':
    env.Tool( 'sunc++' )
    env.Tool( 'sunlink' )
    env.Tool( 'sunar' )
    env.Append( CCFLAGS = ['-mt'] )
elif platform == 'vacpp':
    env.Tool( 'default' )
    env.Tool( 'aixcc' )
    env['CXX'] = 'xlC_r'   #scons does not pick-up the correct one !
    # using xlC_r ensure multi-threading is enabled:
    # http://publib.boulder.ibm.com/infocenter/pseries/index.jsp?topic=/com.ibm.vacpp7a.doc/compiler/ref/cuselect.htm
    env.Append( CCFLAGS = '-qrtti=all',
                LINKFLAGS='-bh:5' )  # -bh:5 remove duplicate symbol warning
elif platform == 'msvc6':
    env['MSVS_VERSION']='6.0'
    for tool in ['msvc', 'msvs', 'mslink', 'masm', 'mslib']:
        env.Tool( tool )
    env['CXXFLAGS']='-GR -GX /nologo /MT'
elif platform == 'msvc70':
    env['MSVS_VERSION']='7.0'
    for tool in ['msvc', 'msvs', 'mslink', 'masm', 'mslib']:
        env.Tool( tool )
    env['CXXFLAGS']='-GR -GX /nologo /MT'
elif platform == 'msvc71':
    env['MSVS_VERSION']='7.1'
    for tool in ['msvc', 'msvs', 'mslink', 'masm', 'mslib']:
        env.Tool( tool )
    env['CXXFLAGS']='-GR -GX /nologo /MT'
elif platform == 'msvc80':
    env['MSVS_VERSION']='8.0'
    for tool in ['msvc', 'msvs', 'mslink', 'masm', 'mslib']:
        env.Tool( tool )
    env['CXXFLAGS']='-GR -EHsc /nologo /MT'
elif platform == 'msvc90':
    env['MSVS_VERSION']='9.0'
    # Scons 1.2 fails to detect the correct location of the platform SDK.
    # So we propagate those from the environment. This requires that the
    # user run vcvars32.bat before compiling.
    if 'INCLUDE' in os.environ:
        env['ENV']['INCLUDE'] = os.environ['INCLUDE']
    if 'LIB' in os.environ:
        env['ENV']['LIB'] = os.environ['LIB']
    for tool in ['msvc', 'msvs', 'mslink', 'masm', 'mslib']:
        env.Tool( tool )
    env['CXXFLAGS']='-GR -EHsc /nologo /MT'
elif platform == 'mingw':
    env.Tool( 'mingw' )
    env.Append( CPPDEFINES=[ "WIN32", "NDEBUG", "_MT" ] )
elif platform.startswith('linux-gcc'):
    env.Tool( 'default' )
    env.Append( LIBS = ['pthread'], CCFLAGS = os.environ.get("CXXFLAGS", "-Wall"), LINKFLAGS=os.environ.get("LDFLAGS", "") )
    env['SHARED_LIB_ENABLED'] = True
else:
    print "UNSUPPORTED PLATFORM."
    env.Exit(1)

env.Tool('targz')
env.Tool('srcdist')
env.Tool('globtool')

env.Append( CPPPATH = ['#include'],
            LIBPATH = lib_dir )
short_platform = platform
if short_platform.startswith('msvc'):
    short_platform = short_platform[2:]
# Notes: on Windows you need to rebuild the source for each variant
# Build script does not support that yet so we only build static libraries.
# This also fails on AIX because both dynamic and static library ends with
# extension .a.
env['SHARED_LIB_ENABLED'] = env.get('SHARED_LIB_ENABLED', False)
env['LIB_PLATFORM'] = short_platform
env['LIB_LINK_TYPE'] = 'lib'    # static
env['LIB_CRUNTIME'] = 'mt'
env['LIB_NAME_SUFFIX'] = '${LIB_PLATFORM}_${LIB_LINK_TYPE}${LIB_CRUNTIME}'  # must match autolink naming convention
env['JSONCPP_VERSION'] = JSONCPP_VERSION
env['BUILD_DIR'] = env.Dir(build_dir)
env['ROOTBUILD_DIR'] = env.Dir(rootbuild_dir)
env['DIST_DIR'] = DIST_DIR
if 'TarGz' in env['BUILDERS']:
	class SrcDistAdder:
		def __init__( self, env ):
			self.env = env
		def __call__( self, *args, **kw ):
			apply( self.env.SrcDist, (self.env['SRCDIST_TARGET'],) + args, kw )
	env['SRCDIST_BUILDER'] = env.TarGz
else: # If tarfile module is missing
	class SrcDistAdder:
		def __init__( self, env ):
			pass
		def __call__( self, *args, **kw ):
			pass
env['SRCDIST_ADD'] = SrcDistAdder( env )
env['SRCDIST_TARGET'] = os.path.join( DIST_DIR, 'jsoncpp-src-%s.tar.gz' % env['JSONCPP_VERSION'] )
                      
env_testing = env.Clone( )
env_testing.Append( LIBS = ['json_${LIB_NAME_SUFFIX}'] )

def buildJSONExample( env, target_sources, target_name ):
    env = env.Clone()
    env.Append( CPPPATH = ['#'] )
    exe = env.Program( target=target_name,
                       source=target_sources )
    env['SRCDIST_ADD']( source=[target_sources] )
    global bin_dir
    return env.Install( bin_dir, exe )

def buildJSONTests( env, target_sources, target_name ):
    jsontests_node = buildJSONExample( env, target_sources, target_name )
    check_alias_target = env.Alias( 'check', jsontests_node, RunJSONTests( jsontests_node, jsontests_node ) )
    env.AlwaysBuild( check_alias_target )

def buildUnitTests( env, target_sources, target_name ):
    jsontests_node = buildJSONExample( env, target_sources, target_name )
    check_alias_target = env.Alias( 'check', jsontests_node, 
                                    RunUnitTests( jsontests_node, jsontests_node ) )
    env.AlwaysBuild( check_alias_target )

def buildLibrary( env, target_sources, target_name ):
    static_lib = env.StaticLibrary( target=target_name + '_${LIB_NAME_SUFFIX}',
                                    source=target_sources )
    global lib_dir
    env.Install( lib_dir, static_lib )
    if env['SHARED_LIB_ENABLED']:
        shared_lib = env.SharedLibrary( target=target_name + '_${LIB_NAME_SUFFIX}',
                                        source=target_sources )
        env.Install( lib_dir, shared_lib )
    env['SRCDIST_ADD']( source=[target_sources] )

Export( 'env env_testing buildJSONExample buildLibrary buildJSONTests buildUnitTests' )

def buildProjectInDirectory( target_directory ):
    global build_dir
    target_build_dir = os.path.join( build_dir, target_directory )
    target = os.path.join( target_directory, 'sconscript' )
    SConscript( target, build_dir=target_build_dir, duplicate=0 )
    env['SRCDIST_ADD']( source=[target] )


def runJSONTests_action( target, source = None, env = None ):
    # Add test scripts to python path
    jsontest_path = Dir( '#test' ).abspath
    sys.path.insert( 0, jsontest_path )
    data_path = os.path.join( jsontest_path, 'data' )
    import runjsontests
    return runjsontests.runAllTests( os.path.abspath(source[0].path), data_path )

def runJSONTests_string( target, source = None, env = None ):
    return 'RunJSONTests("%s")' % source[0]

import SCons.Action
ActionFactory = SCons.Action.ActionFactory
RunJSONTests = ActionFactory(runJSONTests_action, runJSONTests_string )

def runUnitTests_action( target, source = None, env = None ):
    # Add test scripts to python path
    jsontest_path = Dir( '#test' ).abspath
    sys.path.insert( 0, jsontest_path )
    import rununittests
    return rununittests.runAllTests( os.path.abspath(source[0].path) )

def runUnitTests_string( target, source = None, env = None ):
    return 'RunUnitTests("%s")' % source[0]

RunUnitTests = ActionFactory(runUnitTests_action, runUnitTests_string )

env.Alias( 'check' )

srcdist_cmd = env['SRCDIST_ADD']( source = """
    AUTHORS README.txt SConstruct
    """.split() )
env.Alias( 'src-dist', srcdist_cmd )

buildProjectInDirectory( 'src/jsontestrunner' )
buildProjectInDirectory( 'src/lib_json' )
buildProjectInDirectory( 'src/test_lib_json' )
#print env.Dump()

=== 3rdparty/lsqlite3/CMakeLists.txt ===
# Copyright (C) 2007-2012 LuaDist.
# Created by Peter Kapec
# Redistribution and use of this file is allowed according to the terms of the MIT license.
# For details see the COPYRIGHT file distributed with LuaDist.
# Please note that the package source code is licensed under its own license.

project ( lsqlite3 C )
cmake_minimum_required ( VERSION 2.8 )
include ( cmake/dist.cmake )
include ( lua )

# Find SQLite3
find_package ( SQLite3 REQUIRED )
include_directories ( ${SQLITE3_INCLUDE_DIRS} )

# Create lsqlite module
install_lua_module ( lsqlite3 lsqlite3.c lsqlite3.def LINK ${SQLITE3_LIBRARIES} )
install_data ( HISTORY README )
install_doc( doc/ )
install_test ( lunit.lua test.lua tests-sqlite3.lua )
install_example ( examples/ )

=== 3rdparty/portmidi/CMakeLists.txt ===
# portmidi
# Roger B. Dannenberg
# 20 Sep 2009

cmake_minimum_required(VERSION 2.6)

if(UNIX)
  # allow user to set Release or Debug
  set(CMAKE_BUILD_TYPE Release CACHE STRING 
      "Semicolon-separate list of supported configuration types")
  # set default directories but don't override cached values...
  set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_CACHEFILE_DIR}/${CMAKE_BUILD_TYPE}
      CACHE STRING "libraries go here")
  set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_CACHEFILE_DIR}/${CMAKE_BUILD_TYPE}
      CACHE STRING "libraries go here")
  set(CMAKE_RUNTIME_OUTPUT_DIRECTORY 
      ${CMAKE_CACHEFILE_DIR}/${CMAKE_BUILD_TYPE}
      CACHE STRING "executables go here")

else(UNIX)
  # this does not seem to work for xcode:
  set(CMAKE_CONFIGURATION_TYPES "Debug;Release" CACHE STRING 
      "Semicolon-separate list of supported configuration types")
endif(UNIX)

#set(CMAKE_RELATIVE_PATHS ON CACHE STRING "avoid absolute paths" FORCE)

# Clear out the built-in C++ compiler and link flags for each of the 
# unused configurations.
set(CMAKE_CXX_FLAGS_MINSIZEREL "" CACHE INTERNAL "Unused")
set(CMAKE_SHARED_LINKER_FLAGS_MINSIZEREL "" CACHE INTERNAL "Unused")
set(CMAKE_MODULE_LINKER_FLAGS_MINSIZEREL "" CACHE INTERNAL "Unused")
set(CMAKE_EXE_LINKER_FLAGS_MINSIZEREL "" CACHE INTERNAL "Unused")
set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "" CACHE INTERNAL "Unused")
set(CMAKE_SHARED_LINKER_FLAGS_RELWITHDEBINFO "" CACHE INTERNAL "Unused")
set(CMAKE_MODULE_LINKER_FLAGS_RELWITHDEBINFO "" CACHE INTERNAL "Unused")
set(CMAKE_EXE_LINKER_FLAGS_RELWITHDEBINFO "" CACHE INTERNAL "Unused")

set(CMAKE_OSX_ARCHITECTURES i386 ppc x86_64 CACHE STRING "change to needed architecture for a smaller library" FORCE)

PROJECT(portmidi)

if(UNIX)
  # Problem: if there was an old Debug build and you change
  #  CMAKE_BUILD_TYPE to Release, then the OUTPUT_DIRECTORY's will
  #  still be Debug. Try to fix this by checking if the DIRECTORY's
  #  look wrong, and if so, force them to the defaults:
  if(CMAKE_BUILD_TYPE MATCHES "Debug")
    set(BAD_DIR "Release")
  else(CMAKE_BUILD_TYPE MATCHES "Debug")
    set(BAD_DIR "Debug")
  endif(CMAKE_BUILD_TYPE MATCHES "Debug")
  # use library as reference -- if you give it a non-BAD_DIR location
  # then every other path is left alone
  if(CMAKE_LIBRARY_OUTPUT_DIRECTORY MATCHES ${BAD_DIR})
    set(CMAKE_RUNTIME_OUTPUT_DIRECTORY 
        ${CMAKE_CACHEFILE_DIR}/${CMAKE_BUILD_TYPE}
        CACHE STRING "executables go here" FORCE)
    set(CMAKE_LIBRARY_OUTPUT_DIRECTORY 
        ${CMAKE_CACHEFILE_DIR}/${CMAKE_BUILD_TYPE}
        CACHE STRING "libraries go here" FORCE)
    set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY 
        ${CMAKE_CACHEFILE_DIR}/${CMAKE_BUILD_TYPE}
        CACHE STRING "libraries go here" FORCE)
  endif(CMAKE_LIBRARY_OUTPUT_DIRECTORY MATCHES ${BAD_DIR})
endif(UNIX)

include_directories(pm_common porttime)
add_subdirectory(pm_common)

add_subdirectory(pm_test)

add_subdirectory(pm_dylib)

# Cannot figure out how to make an xcode Java application with CMake
add_subdirectory(pm_java)

=== 3rdparty/jsoncpp/src/CMakeLists.txt ===
ADD_SUBDIRECTORY(lib_json)
IF(JSONCPP_WITH_TESTS)
    ADD_SUBDIRECTORY(jsontestrunner)
    ADD_SUBDIRECTORY(test_lib_json)
ENDIF(JSONCPP_WITH_TESTS)

=== 3rdparty/mongoose/examples/Makefile ===
# Copyright (c) 2014 Cesanta Software
# All rights reserved

SUBDIRS = $(sort $(filter-out csharp/, $(dir $(wildcard */))))
X = $(SUBDIRS)
ifdef WINDIR
    # appending the Winsock2 library at the end of the compiler
	# invocation
    CFLAGS_EXTRA += -lws2_32
endif

.PHONY: $(SUBDIRS)

all: $(SUBDIRS)

$(SUBDIRS):
	@$(MAKE) CFLAGS_EXTRA="$(CFLAGS_EXTRA)" -C $@

clean:
	for d in $(SUBDIRS) ; do $(MAKE) -C $$d clean ; done

=== 3rdparty/mongoose/test/Makefile ===
# Copyright (c) 2014 Cesanta Software
# All rights reserved

PROG = unit_test
PROF_FLAGS = -fprofile-arcs -ftest-coverage -g -O0 -DGUI
CFLAGS = -W -Wall -pthread -I.. $(PROF_FLAGS) $(CFLAGS_EXTRA)
SOURCES = $(PROG).c

all: $(PROG)
	./$(PROG)
	gcov -b $(PROG).c | egrep '^(File|Lines)'

$(PROG): $(SOURCES) Makefile ../mongoose.c clean
	$(CC) -o $(PROG) $(SOURCES) $(CFLAGS) -ldl -lssl

win:
	wine cl $(SOURCES) /MD /nologo /DNDEBUG /O1 /Fe$(PROG).exe
	wine $(PROG).exe

clean:
	rm -rf $(PROG) *.exe *.dSYM *.obj *.exp .*o *.lib *.gc*

=== 3rdparty/bgfx/3rdparty/glsl-optimizer/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

include_directories(include)
include_directories(src/mesa)
include_directories(src/mapi)
include_directories(src/glsl)

option (DEBUG "Enable debugging" FALSE)

if(${DEBUG} MATCHES "on")
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -O0")
	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -O0")
else()
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Os -DNDEBUG")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Os -DNDEBUG")
    set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -s")
endif()

file(GLOB glcpp-library_sources src/glsl/glcpp/*.c)
#file(GLOB glcpp-library_sources_remove src/glsl/glcpp/glcpp.c)
#list(REMOVE_ITEM glcpp-library_sources ${glcpp-library_sources_remove})
add_library(glcpp-library ${glcpp-library_sources})

file(GLOB mesa_sources src/mesa/program/*.c src/mesa/main/*.c)
add_library(mesa ${mesa_sources})

file(GLOB glsl_sources src/glsl/*.cpp src/glsl/*.c)
file(GLOB glsl_sources_remove src/glsl/main.cpp src/glsl/builtin_stubs.cpp)
list(REMOVE_ITEM glsl_sources ${glsl_sources_remove})
add_library(glsl_optimizer ${glsl_sources})
target_link_libraries(glsl_optimizer glcpp-library mesa)

add_executable(glsl_compiler src/glsl/main.cpp)
target_link_libraries(glsl_compiler glsl_optimizer)

file(GLOB glsl_test_sources tests/*.cpp)
add_executable(glsl_test ${glsl_test_sources})
target_link_libraries(glsl_test glsl_optimizer)
if(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    # OSX-specific build requirements
    find_library(OpenGL_LIBRARY OpenGL )
    target_link_libraries(glsl_test ${OpenGL_LIBRARY})
endif(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")

file(GLOB glslopt_sources contrib/glslopt/*.cpp)
add_executable(glslopt ${glslopt_sources})
target_link_libraries(glslopt glsl_optimizer)

#add_executable(glcpp src/glsl/glcpp/glcpp.c)
#target_link_libraries(glcpp glsl_optimizer)

=== 3rdparty/genie/build/gmake.darwin/Makefile ===
# GNU Make solution makefile autogenerated by GENie
# Type "make help" for usage help

ifndef config
  config=release
endif
export config

PROJECTS := genie

.PHONY: all clean help $(PROJECTS)

all: $(PROJECTS)

genie: 
	@echo "==== Building genie ($(config)) ===="
	@${MAKE} --no-print-directory -C . -f genie.make

clean:
	@${MAKE} --no-print-directory -C . -f genie.make clean

help:
	@echo "Usage: make [config=name] [target]"
	@echo ""
	@echo "CONFIGURATIONS:"
	@echo "   release"
	@echo "   debug"
	@echo "   releaseuniv32"
	@echo "   debuguniv32"
	@echo ""
	@echo "TARGETS:"
	@echo "   all (default)"
	@echo "   clean"
	@echo "   genie"
	@echo ""
	@echo "For more information, see http://industriousone.com/premake/quick-start"

=== 3rdparty/genie/build/gmake.windows/Makefile ===
# GNU Make solution makefile autogenerated by GENie
# Type "make help" for usage help

ifndef config
  config=release
endif
export config

PROJECTS := genie

.PHONY: all clean help $(PROJECTS)

all: $(PROJECTS)

genie: 
	@echo "==== Building genie ($(config)) ===="
	@${MAKE} --no-print-directory -C . -f genie.make

clean:
	@${MAKE} --no-print-directory -C . -f genie.make clean

help:
	@echo "Usage: make [config=name] [target]"
	@echo ""
	@echo "CONFIGURATIONS:"
	@echo "   release"
	@echo "   debug"
	@echo ""
	@echo "TARGETS:"
	@echo "   all (default)"
	@echo "   clean"
	@echo "   genie"
	@echo ""
	@echo "For more information, see http://industriousone.com/premake/quick-start"

=== 3rdparty/jsoncpp/src/test_lib_json/CMakeLists.txt ===

IF(JSONCPP_LIB_BUILD_SHARED)
  ADD_DEFINITIONS( -DJSON_DLL )
ENDIF(JSONCPP_LIB_BUILD_SHARED)

ADD_EXECUTABLE( jsoncpp_test 
                jsontest.cpp
                jsontest.h
                main.cpp
                )

TARGET_LINK_LIBRARIES(jsoncpp_test jsoncpp_lib)

# Run unit tests in post-build
# (default cmake workflow hides away the test result into a file, resulting in poor dev workflow?!?)
IF(JSONCPP_WITH_POST_BUILD_UNITTEST)
    ADD_CUSTOM_COMMAND( TARGET jsoncpp_test
                        POST_BUILD
                        COMMAND $<TARGET_FILE:jsoncpp_test>)
ENDIF(JSONCPP_WITH_POST_BUILD_UNITTEST)

SET_TARGET_PROPERTIES(jsoncpp_test PROPERTIES OUTPUT_NAME jsoncpp_test)

=== 3rdparty/mongoose/examples/big_upload/Makefile ===
# Copyright (c) 2014 Cesanta Software
# All rights reserved

PROG = big_upload
CFLAGS = -W -Wall -pthread -I../.. -g -O0 $(CFLAGS_EXTRA)
SOURCES = $(PROG).c ../../mongoose.c

$(PROG): $(SOURCES)
	$(CC) -o $(PROG) $(SOURCES) $(CFLAGS)

clean:
	rm -rf $(PROG) *.exe *.dSYM *.obj *.exp .*o *.lib

=== 3rdparty/mongoose/examples/digest_authentication/Makefile ===
# Copyright (c) 2014 Cesanta Software
# All rights reserved

PROG = digest_auth
CFLAGS = -W -Wall -I../.. -pthread -g -O0 $(CFLAGS_EXTRA)
SOURCES = $(PROG).c ../../mongoose.c

$(PROG): $(SOURCES)
	$(CC) -o $(PROG) $(SOURCES) $(CFLAGS)

clean:
	rm -rf $(PROG) *.exe *.dSYM *.obj *.exp .*o *.lib

=== debian/changelog ===
mame (0.160-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * debian/patches:
    - removed man pages updates, contributed upstream
    - updated gnu-fixes to new source layout

 -- Cesare Falco <c.falco@ubuntu.com>  Fri, 27 Mar 2015 16:03:45 +0100

mame (0.159-1) unstable; urgency=medium

  * New upstream release
  * debian/patches:
    - removed tools linkage fix
    - added man pages updates

 -- Cesare Falco <c.falco@ubuntu.com>  Fri, 27 Feb 2015 08:29:26 +0100

mame (0.158-1) unstable; urgency=medium

  * New upstream release
  * Fix permissions in mess-data resource files
  * debian/patches: fix tools linkage against system libraries

 -- Cesare Falco <c.falco@ubuntu.com>  Thu, 05 Feb 2015 09:31:58 +0100

mame (0.157-1) unstable; urgency=medium

  * New upstream release
  * debian/patches: removed manpages updates, contributed upstream

 -- Cesare Falco <c.falco@ubuntu.com>  Fri, 02 Jan 2015 16:53:49 +0100

mame (0.156-1) unstable; urgency=medium

  * New upstream release
  * Updated man pages patch
  * Switch to SDL 2.0 on upstream recommendation
  * Improved mame.ini consistency by simlinking
    /usr/share/games/mess/* directories in /usr/share/games/mame/

 -- Cesare Falco <c.falco@ubuntu.com>  Mon, 08 Dec 2014 22:14:47 +0100

mame (0.155-1) unstable; urgency=medium

  * New upstream release
  * Removed old patches accepted upstream
  * New patch: fix typos and bump version in manpages
  * Use system jQuery lib instead of embedded one
  * Improved menu entries:
    + Added Keywords= entry in desktop files
    + Reworked and translated text into italian in desktop files
    + Added icons and menu file for Mess
  * Updated get-orig-source, upstream repo moved to Github
  * Reworked ctrlr dir, including cfg files now distributed upstream

 -- Cesare Falco <c.falco@ubuntu.com>  Mon, 27 Oct 2014 08:25:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: mame
 Section: non-free/games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Cesare Falco <c.falco@ubuntu.com>,
- Emmanuel Kasper <emmanuel@libera.cc>,
- Jordi Mallach <jordi@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Cesare Falco <c.falco@ubuntu.com>
 Build-Depends: debhelper (>= 9),
  libexpat1-dev,
  libflac-dev,
@@ -12,8 +10,8 @@
  libjpeg-dev,
  libportmidi-dev [!hurd-any !kfreebsd-any],
  libqt4-dev (>= 4.7),
- libsdl-ttf2.0-dev,
- libsdl1.2-dev,
+ libsdl2-ttf-dev,
+ libsdl2-dev,
  libsqlite3-dev,
  libxinerama-dev,
  subversion,
@@ -86,7 +84,8 @@
 
 Package: mess-data
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
+ libjs-jquery-mobile
 Description: Data files for the Multi Emulator Super System (MESS)
  MESS is an emulator for various consoles and computing systems, sharing a
  lot of codebase with the MAME project.

=== debian/rules ===
--- 
+++ 
@@ -39,6 +39,7 @@
     BUILD_SQLITE3= \
     BUILD_MIDILIB= \
     BUILD_FLAC= \
+    SDL_LIBVER=sdl2 \
     SYMBOLS= \
     SYMLEVEL= \
     DUMPSYM= \
@@ -166,14 +167,23 @@
 	mv mess.ini default.mess.ini
 
 override_dh_auto_clean:
-	-$(MAKE) $(DEB_MAME_OPTS) $(DEB_OPTS) clean
-	-$(MAKE) $(DEB_MESS_OPTS) $(DEB_OPTS) clean
+	$(MAKE) $(DEB_OPTS) $(DEB_MAME_OPTS) clean
+	$(MAKE) $(DEB_OPTS) $(DEB_MESS_OPTS) clean
 	rm -rf obj
 	rm -f default.mame.ini default.mess.ini
 
-# Remove OSX specific keymaps
+# Exclude embedded jQuery library
 override_dh_install:
-	dh_install --exclude=OSX.txt
+	dh_install --list-missing \
+               --exclude=dir.txt \
+               --exclude=js/jquery*.js
+
+override_dh_fixperms-indep:
+	dh_fixperms
+	chmod 644 debian/mess-data/usr/share/games/mess/artwork/*
+	chmod 644 debian/mess-data/usr/share/games/mess/ctrlr/*
+	chmod 644 debian/mess-data/usr/share/games/mess/hash/*
+	chmod 644 debian/mess-data/usr/share/games/mess/keymaps/*
 
 
 # Retrieve source from svn repo (recommended by upstream developers)
@@ -183,19 +193,23 @@
 MAME_PACKAGE = mame
 # Upstream source has no dot in its name, so we have to cut it out
 MAME_VERSION := $(shell echo $(VERSION) | sed -e 's/\.//' )
-MAME_URL = svn://dspnet.fr/mame/
-MAME_TAG = tags/$(MAME_PACKAGE)$(MAME_VERSION)
 MAME_SRCDIR = $(MAME_PACKAGE)-$(VERSION)
 MAME_TARBALL = $(MAME_PACKAGE)_$(VERSION).orig.tar.xz
 
 get-orig-source:
-	mkdir $(TMPDIR)
-	svn export $(MAME_URL)$(MAME_TAG) $(TMPDIR)/$(MAME_SRCDIR)
-	svn export $(MAME_URL)build/whatsnew/whatsnew_$(MAME_VERSION).txt \
+	mkdir -p $(TMPDIR)/$(MAME_SRCDIR)
+	wget -O source.tar.gz \
+        https://github.com/mamedev/mame/tarball/$(MAME_PACKAGE)$(MAME_VERSION)
+	tar -xzf source.tar.gz --strip-component=1 -C $(TMPDIR)/$(MAME_SRCDIR)/ \
+        --exclude=\.*
+	wget -O build.tar.gz https://github.com/mamedev/build/tarball/master
+	tar -xzf build.tar.gz --strip-component=1 -C $(TMPDIR)/
+	mv $(TMPDIR)/whatsnew/whatsnew_$(MAME_VERSION).txt \
         $(TMPDIR)/$(MAME_SRCDIR)/whatsnew.txt
-	svn export $(MAME_URL)build/messnew/messnew_$(MAME_VERSION).txt \
+	mv $(TMPDIR)/messnew/messnew_$(MAME_VERSION).txt \
         $(TMPDIR)/$(MAME_SRCDIR)/messnew.txt
+	unzip -od $(TMPDIR)/$(MAME_SRCDIR)/ $(TMPDIR)/mamedirs.zip
 	tar -C $(TMPDIR) -cf - $(MAME_SRCDIR) | xz -9c > $(MAME_TARBALL)
-	rm -rf $(TMPDIR)
+	rm -rf $(TMPDIR) source.tar.gz build.tar.gz
 
 .PHONY: get-orig-source

=== debian/watch ===
version=3
opts="dversionmangle=s/u\d+//" \
 http://mamedev.org/release.html .*mame(\d)(\d+)s.exe
